/* Range Category Component */
/* ------------------------------------------------- */

.range-category {
    padding: var(--space-9) 0;
}

.range-category .wrap {
    display: flex;
    flex-direction: column;
    gap: var(--space-7);
}

.range-category-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--space-4);
}

.range-category-item {
    display: flex;
    flex-direction: column;
}

.range-category-item-image {
    width: 100%;
}

.range-category-item-image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.range-category-item-content {
    display: flex;
    flex-direction: column;
    gap: var(--space-5);
    text-align: center;
    align-items: center;
}

.range-category-controls {
    display: flex;
    align-items: center;
    gap: var(--space-4);
    padding-top: var(--space-9);
    justify-content: flex-end;
}

.range-category-prev {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    display: flex;
    align-items: center;
}

.range-category-prev svg {
    display: block;
}

.range-category-next {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    display: flex;
    align-items: center;
}

.range-category-next svg {
    display: block;
}

@media (max-width: 980px) {
    .range-category-header {
        flex-direction: column;
        align-items: flex-start;
        gap: var(--space-3);
    }
}
